Skip to main content
GET
/
api
/
v1
/
Products
/
{supplierId}
/
{sku}
Gets full product detail.
curl --request GET \
  --url https://api.example.com/api/v1/Products/{supplierId}/{sku} \
  --header 'Authorization: <api-key>'
{
  "isSuccess": true,
  "message": "<string>",
  "payload": {
    "isOwner": true,
    "itemTypeCode": "NotSet",
    "sellingInfos": [
      {
        "sellerAccountNumber": "<string>",
        "sellerName": "<string>",
        "wineDirectSku": "<string>",
        "sku": "<string>",
        "description": "<string>",
        "retailPrice": 123,
        "supplierName": "<string>",
        "supplierPayment": 123
      }
    ],
    "ptoInfos": [
      {
        "componentNumber": 123,
        "wineDirectSku": "<string>",
        "sku": "<string>",
        "description": "<string>",
        "quantity": 123,
        "retailPrice": 123,
        "weight": 123,
        "unitsOfMeasure": "<string>",
        "itemTypeCode": "NotSet",
        "itemTypeName": "<string>"
      }
    ],
    "bomInventories": [
      {
        "warehouseCode": "<string>",
        "warehouseName": "<string>",
        "wineDirectSku": "<string>",
        "sku": "<string>",
        "description": "<string>",
        "subInventoryCode": "<string>",
        "itemsPerGset": 123,
        "gsetsOnhand": 123,
        "itemsInGsets": 123,
        "gsetsReserved": 123,
        "itemsInReservedGsets": 123,
        "gsetsAvailable": 123,
        "itemsInAvailableGsets": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'

Path Parameters

supplierId
string
required
sku
string
required

Response

200 - application/json

OK

Generic container for all service responses

isSuccess
boolean

Was the request successful. If not, the message will have more information.

message
string | null

Any error message

payload
object

The full details for a product in the WineDirect system